package cn.wise.sc.cement.business.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 
 * </p>
 *
 * @author ztw
 * @since 2020-08-24
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class SampleCheckTeam implements Serializable {

    private static final long serialVersionUID=1L;

    /**
     * 主键
     */
      @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty("样品检测表id")
    private Integer checkId;

	@ApiModelProperty("检测项目id（检测项目表）")
	private Integer testItemId;

	@ApiModelProperty("检测项目")
	private String testItem;

    /**
     * 检测项目信息 json串

{"样重m":"40","K值":1.0274,"Vsio2":3.89,................}
     */
    @ApiModelProperty("检测项目信息json串")
    private String testTeams;

    @ApiModelProperty("创建时间")
    private LocalDateTime createTime;

	@ApiModelProperty("备注")
    private String remark;


}
