package cn.wise.sc.cement.business.model.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.List;

/**
 * @description:
 * @author: ztw
 * @create: 2020-08-07 15:09
 **/

@Data
@ApiModel("检测项Vo")
public class TeamVo{
	@ApiModelProperty("检测项表id")
	private Integer id;

	@ApiModelProperty("检测项目")
	private String name;

	@ApiModelProperty("元素分组id")
	private Integer groupId;

	@ApiModelProperty("检测依据")
	private String basis;

	@ApiModelProperty("收费标准")
	private BigDecimal charge;

	@ApiModelProperty("建议产值")
	private BigDecimal proCharge;

	@ApiModelProperty("资质范围")
	private String qualifications;

	@ApiModelProperty("状态 0:禁用 1:激活")
	private String status;

	@ApiModelProperty("分组名称")
	private String groupName;
}
