package cn.wise.sc.cement.business.mapper;

import cn.wise.sc.cement.business.entity.Entrust;
import cn.wise.sc.cement.business.model.vo.EntrustVo;
import cn.wise.sc.cement.business.model.vo.ProjectVo;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Param;

import java.util.Map;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author ztw
 * @since 2020-08-24
 */
public interface EntrustMapper extends BaseMapper<Entrust> {

	IPage<EntrustVo> getPage(@Param("page") Page page, @Param("params") Map<String, Object> params);

	EntrustVo getDetail(Integer id);

}
