package cn.wise.sc.cement.business.mapper;

import cn.wise.sc.cement.business.entity.Sample;
import cn.wise.sc.cement.business.model.vo.SampleManageVo;
import cn.wise.sc.cement.business.model.vo.SampleVo;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Param;

import java.util.Map;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author ztw
 * @since 2020-08-24
 */
public interface SampleMapper extends BaseMapper<Sample> {

	IPage<SampleVo> getPage(@Param("page") Page page, @Param("params") Map<String, Object> params);

	SampleVo getDetail(Integer id);

}
