package cn.wise.sc.cement.business.model.query;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 
 * </p>
 *
 * @author ztw
 * @since 2020-08-24
 */
@Data
@ApiModel("委托校核-检测样品")
public class SampleCheckTeamQuery {
    /**
     * 主键
     */
      @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

	@ApiModelProperty("检测项目id（检测项目表）")
	private Integer testItemId;

	@ApiModelProperty("检测项目")
	private String testItem;

    /**
     * 检测项目信息 json串

{"样重m":"40","K值":1.0274,"Vsio2":3.89,................}
     */
    @ApiModelProperty("检测项目信息 json串")
    private String testTeams;

    @ApiModelProperty("备注")
    private String remark;


}
